/* COLLAPSE MENU */
/* style collapsibles and content for list.html */

/* collapse-header */
.modern-collapsible {
    color: var(--font-color);
    border-radius: var(--border-radius);
    margin: 10px 0 0 0;
    width: 100%;
    background-color: transparent;
    text-align: left;
    box-shadow: 0px 0px 3px 0px rgb(0 0 0 / 50%) !important;
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}

/* style if modern-collapsible is collapsed */
.modern-collapsible-active {
    color: var(--zlegreen);
    border-bottom-left-radius: 2px !important;
    border-bottom-right-radius: 2px !important;
    box-shadow: 0px 0px 5px 0px rgb(0 0 0 / 50%) !important;
}

/* collapsed content */
.modern-content {
    padding: 0 18px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-out;
    background-color: #f1f1f1;
    padding: 0;
    visibility: hidden;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

/* class for the plus button */
.plus-button-x {
    font-size: 1.5em;
    transition: transform 0.3s ease-in-out;
    transform-origin: center;
    overflow: hidden;
}

/* prevent the plus button from getting pushed over the border of the collapsible */
.plus-button-saver {
    width: 95%;
}

/* further classes for the collapsible */
.view-full-link {
    font-weight: bold;
    margin-top: 20px;
}

.content-padding {
    padding: var(--button-padding);
}

/* only enable hover feature on desktop */
@media (hover: hover) and (pointer: fine) {
    .modern-collapsible:hover {
        color: var(--zlegreen);
        background-color: transparent;
        box-shadow: 0px 0px 5px 0px rgb(0 0 0 / 50%) !important;
    }
}

/* PDF Download Dropdown Style */
.pdf-download-dropdown {
    float: right;
    bottom: 10px;
    right: 10px;
    margin-top: -20px;
}

.pdf-download-dropdown .btn-secondary {
    color: var(--font-color);
    border: 1px solid transparent;
    padding: 10px 15px;
    font-weight: bold;
    display: flex;
    align-items: center;
    transition: background-color 0.3s, box-shadow 0.3s, border-color 0.3s; 
    border-radius: 5px;
    background-color: transparent;
}

.pdf-download-dropdown .btn-secondary:hover,
.pdf-download-dropdown .btn-secondary:focus {
    box-shadow: 0 2px 5px rgba(0,0,0,0.2);
    border-color: rgba(255, 255, 255, 0.5);
}

.pdf-download-dropdown .fa-file-pdf {
    margin-right: 8px;
    font-size: 1.1em;
}

.pdf-download-dropdown .dropdown-menu {
    background-color: #f9f9f9;
    border: none;
    border-radius: 5px;
    box-shadow: 0 3px 10px rgba(0,0,0,0.1);
    padding: 0;
}

.pdf-download-dropdown .dropdown-item {
    color: #333;
    padding: 12px 20px;
    transition: background-color 0.2s;
}

.pdf-download-dropdown .dropdown-item:hover,
.pdf-download-dropdown .dropdown-item:focus {
    background-color: #e9e9e9;
    color: #2c3e50;
}

@media (max-width: 768px) {
    .pdf-download-dropdown {
        position: static;
        margin-top: 10px;
        margin-bottom: 10px;
    }
    
    .pdf-download-dropdown .btn-secondary {
        width: 100%;
        justify-content: center;
    }
}
